LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
ldvgrab.c File Reference
`#include <sys/poll.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <netinet/in.h>`
`#include <errno.h>`
`#include <sys/time.h>`
`#include <sys/resource.h>`
`#include "main.h"`
`#include "support.h"`
`#include "ldvinterface.h"`
`#include "ldvcallbacks.h"`

## Macros
#define | RX_CHANNEL 63
#define | RAW_BUF_SIZE 4096

## Functions
int | raw_iso_handler (raw1394handle_t handle, int channel, size_t length, quadlet_t *data)
int | reset_handler (raw1394handle_t handle, unsigned int generation)
raw1394handle_t | open_raw1394 (void)
void | close_raw1394 (raw1394handle_t handle)
void | camdest (s_cam *cam)
s_cam * | camready (void)
void | camplay (s_cam *cam)
void | camstop (s_cam *cam)
void | camrew (s_cam *cam)
void | camff (s_cam *cam)
void | campause (s_cam *cam)
void | cameject (s_cam *cam)
char * | find_free_camfile (int format)
boolean | rec (s_cam *cam)
void | on_open_fw_activate (LiVESMenuItem *menuitem, livespointer user_data)

## Variables
unsigned char | g_rx_packet [RAW_BUF_SIZE]
int | g_rx_length
int | g_alldone = 0
int | g_rx_channel = RX_CHANNEL

## Macro Definition Documentation

#define RAW_BUF_SIZE 4096

#define RX_CHANNEL 63

## Function Documentation

void camdest | ( | s_cam * | cam | ) |

void cameject | ( | s_cam * | cam | ) |

void camff | ( | s_cam * | cam | ) |

void campause | ( | s_cam * | cam | ) |

void camplay | ( | s_cam * | cam | ) |

s_cam* camready | ( | void |  | ) |

void camrew | ( | s_cam * | cam | ) |

void camstop | ( | s_cam * | cam | ) |

void close_raw1394 | ( | raw1394handle_t | handle | ) |

char* find_free_camfile | ( | int | format | ) |

void on_open_fw_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

raw1394handle_t open_raw1394 | ( | void |  | ) |

int raw_iso_handler | ( | raw1394handle_t | handle,
|  | int | channel,
|  | size_t | length,
|  | quadlet_t * | data
| ) |  |

boolean rec | ( | s_cam * | cam | ) |

int reset_handler | ( | raw1394handle_t | handle,
|  | unsigned int | generation
| ) |  |

## Variable Documentation

int g_alldone = 0

int g_rx_channel = RX_CHANNEL

int g_rx_length

unsigned char g_rx_packet[RAW_BUF_SIZE]